Edit project status
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/setStatus \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/setStatus"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/setStatus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Project
Edit project status
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
setStatus
Edit project status
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Body
application/json
New status
Available options:
NEW, ASSIGNED, COMPLETED, ACCEPTED_BY_VENDOR, DECLINED_BY_VENDOR, COMPLETED_BY_VENDOR, CANCELLED Response
No Content
Was this page helpful?
⌘I